# ModifyListenerAttribute

## 1. API Description

This API (ModifyListenerAttribute) is used to modify the listener configurations.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type                                                                   | Description                                                                                                                                                                                                                                                                        |
| --------------- | -------- | ---------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| listenerId      | Yes      | String                                                                 | The listener ID.                                                                                                                                                                                                                                                                   |
| listenerName    | No       | String                                                                 | <p>Listener name.</p><p>This parameter can contain up to 64 characters. Only letters, numbers, - and periods (.) are supported.</p>                                                                                                                                                |
| protocol        | No       | String                                                                 | <p>Listening protocols.</p><p>Available values:</p><p>TCP UDP</p>                                                                                                                                                                                                                  |
| backendProtocol | No       | String                                                                 | <p>Backend forwarding protocol.</p><p>Available values:</p><p>TCP UDP</p>                                                                                                                                                                                                          |
| scheduler       | No       | String                                                                 | <p>Scheduling algorithm. Available values:</p><p>wrr (default): Weighted round robin, the higher the weight value of the backend server, the higher the probability of being polled. rr : Round robin, distribute external requests to backend servers in the order of access.</p> |
| kind            | No       | [LbKind](/api-reference/compute/bmc/datastructure.md#lbkind)           | <p>Forwarding modes.</p><p>Available values:</p><p>NAT DR</p>                                                                                                                                                                                                                      |
| healthCheck     | No       | [HealthCheck](/api-reference/compute/bmc/datastructure.md#healthcheck) | Information on the health check.                                                                                                                                                                                                                                                   |
| notify          | No       | [Notify](/api-reference/compute/bmc/datastructure.md#notify)           | Alarm.                                                                                                                                                                                                                                                                             |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Modify listener configurations.**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyListenerAttribute
<Common Request Params>

Request:
{
  "listenerId": "xxxx",
  "listenerName": "xxxx"
}

Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/bmc/load-balancing/modifylistenerattribute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
